Bug 2284 - IRIX windbindd nss module hard-codes timeout
IRIX windbindd nss module hard-codes timeout
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.11
SGI IRIX
: P3 minor
: none
Assigned To: James Peach (outdated mail address)
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-27 22:42 UTC by James Peach (outdated mail address)
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments
take winbindd timeout from nsswith.conf (1.30 KB, patch)
2005-01-27 22:44 UTC, James Peach (outdated mail address)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description James Peach (outdated mail address) 2005-01-27 22:42:10 UTC
By convention, IRIX nss (ie. NSD) modules implement separate user-configurable
timeouts for list and lookup operations. From nsd(1m):

     list_timeout
          The list_timeout attribute set the timeout of the special
          enumeration files under /ns (.all) in seconds. If this attribute is
          unset (the default) the internal file timeout (-t command line
          option) is used.  This should be set to 0 or a positive integer
          value. The default is to use the value given with the '-t' command
          line option, or 30 seconds.

     lookup_timeout
          The lookup_timeout attribute set the timeout of files under /ns in
          seconds.  If this attribute is unset (the default) the internal file
          timeout (-t command line option) is used.  This should be set to 0
          or a positive integer value, and defaults to the value given by the
          '-t' command line option, or 30 seconds.
Comment 1 James Peach (outdated mail address) 2005-01-27 22:44:14 UTC
Created attachment 919 [details]
take winbindd timeout from nsswith.conf

This patch takes "list_timeout" and "lookup_timeout" values from nsswitch.conf
if specified by the user. It used a default timeout of 10sec.
Comment 2 Gerald (Jerry) Carter 2005-02-07 07:29:33 UTC
resetting version
Comment 3 James Peach (outdated mail address) 2005-06-07 00:48:48 UTC
Any work on this patch?
Comment 4 James Peach (outdated mail address) 2005-06-07 00:49:22 UTC
(In reply to comment #3)
> Any work on this patch?

s/work/word/
Comment 5 James Peach (outdated mail address) 2005-07-30 22:46:04 UTC
Reassign IRIX bugs to me.
Comment 6 James Peach (outdated mail address) 2005-08-13 02:02:53 UTC
Fixed in http://websvn.samba.org/cgi-bin/viewcvs.cgi?rev=9301&view=rev
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:23:55 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.